net.sf.okapi.common.annotation

## Class ITSProvenanceAnnotations

- java.lang.Object
- - net.sf.okapi.common.resource.InlineAnnotation
  - - net.sf.okapi.common.annotation.GenericAnnotations
    - - net.sf.okapi.common.annotation.ITSProvenanceAnnotations

- All Implemented Interfaces:
    java.lang.Iterable<GenericAnnotation>, IAnnotation

      public class ITSProvenanceAnnotations
      extends GenericAnnotations

  Annotation for ITS Provenance meta-data. Allows for a unique ID to associated with the ITSProvenanceAnnotations class when attached as an IAnnotation in the Annotations class. This is necessary for resolving standoff meta-data.

- - ### Field Summary

    - ### Fields inherited from class net.sf.okapi.common.resource.InlineAnnotation

      `data`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ITSProvenanceAnnotations()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `addAnnotations(ITextUnit tu, ITSProvenanceAnnotations newSet)`
    `static void` | `addAnnotations(StartGroup group, ITSProvenanceAnnotations newSet)`
    `static void` | `addAnnotations(StartSubDocument startSubDoc, ITSProvenanceAnnotations newSet)`
    `static void` | `addAnnotations(TextContainer tc, ITSProvenanceAnnotations newSet)`

    - ### Methods inherited from class net.sf.okapi.common.annotation.GenericAnnotations

      `add, add, addAll, addAll, addAnnotations, addAnnotations, clear, clone, fromString, getAllAnnotations, getAnnotations, getFirstAnnotation, hasAnnotation, iterator, remove, size, toString`

    - ### Methods inherited from class net.sf.okapi.common.resource.InlineAnnotation

      `getData, setData`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ITSProvenanceAnnotations

          public ITSProvenanceAnnotations()

  - ### Method Detail

    - #### addAnnotations

          public static void addAnnotations(ITextUnit tu,
                            ITSProvenanceAnnotations newSet)

    - #### addAnnotations

          public static void addAnnotations(TextContainer tc,
                            ITSProvenanceAnnotations newSet)

    - #### addAnnotations

          public static void addAnnotations(StartGroup group,
                            ITSProvenanceAnnotations newSet)

    - #### addAnnotations

          public static void addAnnotations(StartSubDocument startSubDoc,
                            ITSProvenanceAnnotations newSet)